<script>
    class ControlForm {
        props
        constructor({ids,}) {
            this.props = {
                ids,
            }
            $(this.props.ids.sociedades).dropdown()

            const cdo = structuredClone(calendar_date_options)
            cdo['type'] = 'month'
            cdo['maxDate'] = new Date()
            $(this.props.ids.mes).calendar(cdo)

            $(this.props.ids.form).on('submit', {
                sociedades_id: this.props.ids.sociedades,
                mes_id: this.props.ids.mes,
                handler: app.handlers.events
            }, app.handlers.events.get().movimientos)
        }
    }
</script>
